# Bulk Update Increment

Use this endpoint to update multiple objects in one call by sending a JSON array of object keys and their new field values.

The endpoint to use is:

```
http://{host}/ws/rest/{ResourceName}/bulkUpdateIncrement
```

Passing, to the specified resource, a JSON array of entries, each containing:

* `key`: the primary key of the object
* one or more field names with the new value to set

Example payload:

```json
[
  { 
  "key": 77441913, 
  "foBallast": 10, "foLoaded": 15 
  },
  { 
    "key": 77443840,
    "foBallast": 12, "foLoaded": 20
  }
]
```

* Object `77441913` will have its `foBallast` field set to 10 and its `foLoaded` field set to 15.
* CommentShare feedback on the editorObject `77443840` will have its `foBallast` field set to 12 and its `foLoaded` field set to 20.

{% hint style="info" %}
**Note:** Each entry must include a `key` and at least one other field to update.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.dataloy.com/api-release-8.25/user-guides/enterprise-functionality/bulk-update-increment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
